#!perl
# $Id: check_for_dos_files.pl,v 1.2 2004/09/30 07:34:13 jlinoff Exp $

while( $#ARGV >= 0 ) {
    my $arg= shift @ARGV;
    &Check( $arg );
}

sub Check
{
    my $file = shift;
    open HND,"$file" || die "ERROR: Can't read '$file'.\n";
    binmode HND;
    my $f = 0;
    while( <HND> ) {
	if( /\r/ ) {
	    $f = 1;
	    last;
	}
    }
    close HND;
    print "DOS: $file\n" if( $f );
    print "UNI: $file\n" if( !$f );
}
